Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Update_Plan.cpp File Reference

`#include "RepositoryManager_Impl.h"`
`#include "Update_Plan.h"`
`#include "DeploymentC.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/streams.h"`

Include dependency graph for Update_Plan.cpp:

## Namespaces
namespace | CIAO
## Functions
void | traverse_package (PackageConfiguration *&pc, DeploymentPlan &plan, REF_MAP &ref_map, REF_MAP &primary_ref_map)
void | traverse_assembly (ComponentAssemblyDescription &assembly, DeploymentPlan &plan, REF_MAP &ref_map, REF_MAP &primary_ref_map, REF_MAP &plan_ref_map)
void | traverse_assembly_connection (ComponentAssemblyDescription &assembly, AssemblyConnectionDescription &assembly_connection, DeploymentPlan &plan)
void | traverse_interface (SubcomponentInstantiationDescription &instance, PlanSubcomponentPortEndpoint &pspe)
void | traverse_assembly_instance (SubcomponentInstantiationDescription &instance, DeploymentPlan &plan, int l, REF_MAP &ref_map, REF_MAP &primary_ref_map, REF_MAP &plan_ref_map)
void | update_artifacts (MonolithicImplementationDescription &mid, DeploymentPlan &plan, InstanceDeploymentDescription &instance, REF_MAP &ref_map, REF_MAP &primary_ref_map, ART_REF_MAP &art_ref_map, REF_MAP &plan_ref_map, MonolithicDeploymentDescription &mdd)
void | update_common_artifact_and_art_ref (ImplementationArtifactDescription &pack_iad, REF_MAP &primary_ref_map, REF_MAP &ref_map, ART_REF_MAP &art_ref_map, REF_MAP &plan_ref_map, MonolithicDeploymentDescription &mid, DeploymentPlan &plan, InstanceDeploymentDescription &instance)
void | update_config_property (SubcomponentInstantiationDescription &sub_instance, InstanceDeploymentDescription &instance)
void | update_impl_config_property (PackagedComponentImplementation &impl, MonolithicDeploymentDescription &mid, InstanceDeploymentDescription &instance)
void | update_impl_art_ref (MonolithicDeploymentDescription &mid, int arti_len)
void | update_artifact_location (ImplementationArtifactDescription &pack_iad, ArtifactDeploymentDescription &plan_artifact)
void | update_artifact_property (ImplementationArtifactDescription &pack_iad, ArtifactDeploymentDescription &plan_artifact)

## Function Documentation

void traverse_assembly | ( | ComponentAssemblyDescription & | assembly,
|  | DeploymentPlan & | plan,
|  | REF_MAP & | ref_map,
|  | REF_MAP & | primary_ref_map,
|  | REF_MAP & | plan_ref_map
| ) |

void traverse_assembly_connection | ( | ComponentAssemblyDescription & | assembly,
|  | AssemblyConnectionDescription & | assembly_connection,
|  | DeploymentPlan & | plan
| ) |

void traverse_assembly_instance | ( | SubcomponentInstantiationDescription & | instance,
|  | DeploymentPlan & | plan,
|  | int | l,
|  | REF_MAP & | ref_map,
|  | REF_MAP & | primary_ref_map,
|  | REF_MAP & | plan_ref_map
| ) |

void traverse_interface | ( | SubcomponentInstantiationDescription & | instance,
|  | PlanSubcomponentPortEndpoint & | pspe
| ) |

void traverse_package | ( | PackageConfiguration *& | pc,
|  | DeploymentPlan & | plan,
|  | REF_MAP & | ref_map,
|  | REF_MAP & | primary_ref_map
| ) |

void update_artifact_location | ( | ImplementationArtifactDescription & | pack_iad,
|  | ArtifactDeploymentDescription & | plan_artifact
| ) |

void update_artifact_property | ( | ImplementationArtifactDescription & | pack_iad,
|  | ArtifactDeploymentDescription & | plan_artifact
| ) |

void update_artifacts | ( | MonolithicImplementationDescription & | mid,
|  | DeploymentPlan & | plan,
|  | InstanceDeploymentDescription & | instance,
|  | REF_MAP & | ref_map,
|  | REF_MAP & | primary_ref_map,
|  | ART_REF_MAP & | art_ref_map,
|  | REF_MAP & | plan_ref_map,
|  | MonolithicDeploymentDescription & | mdd
| ) |

void update_common_artifact_and_art_ref | ( | ImplementationArtifactDescription & | pack_iad,
|  | REF_MAP & | primary_ref_map,
|  | REF_MAP & | ref_map,
|  | ART_REF_MAP & | art_ref_map,
|  | REF_MAP & | plan_ref_map,
|  | MonolithicDeploymentDescription & | mid,
|  | DeploymentPlan & | plan,
|  | InstanceDeploymentDescription & | instance
| ) |

void update_config_property | ( | SubcomponentInstantiationDescription & | sub_instance,
|  | InstanceDeploymentDescription & | instance
| ) |

void update_impl_art_ref | ( | MonolithicDeploymentDescription & | mid,
|  | int | arti_len
| ) |

void update_impl_config_property | ( | PackagedComponentImplementation & | impl,
|  | MonolithicDeploymentDescription & | mid,
|  | InstanceDeploymentDescription & | instance
| ) |